<bugID>362292<Summary>[places] implement places-based-bookmarks sidebar</Summary><Description>[places] implement places-based-bookmarks sidebar.

this is a much simpler viewer into places that the massive organize bookmarks dialog.

we should be able to do this without defining MOZ_PLACES_BOOKMARKS, but keep it behind MOZ_PLACES (like the places based history sidebar is currently)

see bug #356487, for the places-based-history sidebar work.  see also history-panel.xul / history-panel.js in the places content.

note, the history panel is not complete, see bug #359462 for an incomplete patch that tries to wed the edit menu overlay with the places controller.  (this patch needs work.)

note, for eventual for 2.0 -&gt; 3.0 migration, we'll need the new sidebar to live at the same chrome location as the old sidebar (but we don't need to this just yet.)  again, see the history-on-places sidebar for how I did this.</Description></bugID>